var MODULO = "Cuestionarios";

KEY_CANCELAR = "KEY_CANCELAR";

FILTRO = "FILTRO";

KEY_VOLVER_FILTRO = "KEY_VOLVER_FILTRO"

KEY_VOLVER_LISTADO = "KEY_VOLVER_LISTADO"



function ponAccion(key){

		if (key==KEY_CANCELAR){

			if(document.forms[0].elements["inicio"].value==FILTRO){

				key=KEY_VOLVER_FILTRO;

			}

			else {

				key=KEY_VOLVER_LISTADO;			

			}

		}

        document.forms[0].accion.value = key;

        submmitFormulario(key);

}



function submmitFormulario(key) {

    document.forms[0].submit();

}



function onLoadPage(){

	//cargar el combo de plazos (del 1 al 24)

	var i=0;

	var opcion = new Option("", "");

	for (i=1;i<25;i++){

		opcion=new Option(i, i);

		document.forms["formPlazos"].elements["plazo(plazo)"].options[i] = opcion;

	}

	

	//cargar el combo de a?os (del 2008 al 2010)

	for (i=1;i<24;i++){

		opcion=new Option(i+2007, i+2007);

		document.forms["formPlazos"].elements["plazo(anyo)"].options[i] = opcion;

	}



	//poner por defecto el a?o actual

	var anyo = new Date().getYear();

	document.forms["formPlazos"].elements["plazo(anyo)"].value=anyo;

	seleccionarComboDesdeCampo("plazo(provincia)", "provincia");

	if(document.forms[0].elements["plazo(provincia)"].value!=""){

			cargarMunMuniLauncher();

			seleccionarComboDesdeCampo("plazo(municipio)", "municipio");

		}

	if (document.forms[0].elements["plazo(provincia)"].value=="C.A.E."){

		document.forms[0].elements["plazo(municipio)"].disabled = true;

	}

	document.forms["formPlazos"].elements["plazo(provincia)"].focus();

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick() {

    if (document.forms["formPlazos"].elements["plazo(provincia)"].value!="C.A.E."){

    	document.forms[0].elements["plazo(municipio)"].disabled = false;

    document.forms["formPlazos"].elements["plazo(municipio)"].options.length = 0;

    addOption(document.forms["formPlazos"].elements["plazo(municipio)"], "", "");

    cargarMunMuniLauncher();

	} else {

		document.forms[0].elements["plazo(municipio)"].disabled = true;

	}

    

}



//Se carga el combo de municipios a traves del Launcher

function cargarMunMuniLauncher(){

	var where = "provincia_id = "+document.forms["formPlazos"].elements["plazo(provincia)"].value;		

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "plazo(municipio)", where, "false", true, "ds_o", "ASC");

}